LlvmBuildEnvironmentVariable
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.ui
Class LlvmBuildEnvironmentVariable

    java.lang.Object
      org.eclipse.cdt.managedbuilder.llvm.ui.LlvmBuildEnvironmentVariable

All Implemented Interfaces:
  org.eclipse.cdt.core.envvar.IEnvironmentVariable, org.eclipse.cdt.managedbuilder.envvar.IBuildEnvironmentVariable

    public class LlvmBuildEnvironmentVariable

extends java.lang.Object
implements org.eclipse.cdt.managedbuilder.envvar.IBuildEnvironmentVariable

Implemented type that contains BuildEnvironmentalVariables.

Field Summary
`private java.lang.String` | `name`
`private int` | `operation`
`private java.lang.String` | `value`

Fields inherited from interface org.eclipse.cdt.managedbuilder.envvar.IBuildEnvironmentVariable
`ENVVAR_APPEND, ENVVAR_PREPEND, ENVVAR_REMOVE, ENVVAR_REPLACE`

Constructor Summary
`LlvmBuildEnvironmentVariable(java.lang.String name, java.lang.String value, int operation)` Constructor.

Method Summary
`java.lang.String` | `getDelimiter()` Get a delimiter.
`java.lang.String` | `getName()` Get name of the llvm environment variable.
`int` | `getOperation()` Get operation of the llvm environment variable.
`java.lang.String` | `getValue()` Get value of the llvm environment variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private final java.lang.String name

### value

    private final java.lang.String value

### operation

    private final int operation

Constructor Detail

### LlvmBuildEnvironmentVariable

    public LlvmBuildEnvironmentVariable(java.lang.String name,
                                        java.lang.String value,
                                        int operation)

  Constructor.

  Parameters:
    `name` - Name for the environment variable
    `value` - Value for the environment variable
    `operation` - Operation of the environment variable

Method Detail

### getDelimiter

    public java.lang.String getDelimiter()

  Get a delimiter.

  Specified by:
    `getDelimiter` in interface `org.eclipse.cdt.core.envvar.IEnvironmentVariable`
  Specified by:
    `getDelimiter` in interface `org.eclipse.cdt.managedbuilder.envvar.IBuildEnvironmentVariable`
  Returns:
    String delimiter

### getName

    public java.lang.String getName()

  Get name of the llvm environment variable.

  Specified by:
    `getName` in interface `org.eclipse.cdt.core.envvar.IEnvironmentVariable`
  Specified by:
    `getName` in interface `org.eclipse.cdt.managedbuilder.envvar.IBuildEnvironmentVariable`
  Returns:
    name The name of the llvm environment variable

### getOperation

    public int getOperation()

  Get operation of the llvm environment variable.

  Specified by:
    `getOperation` in interface `org.eclipse.cdt.core.envvar.IEnvironmentVariable`
  Specified by:
    `getOperation` in interface `org.eclipse.cdt.managedbuilder.envvar.IBuildEnvironmentVariable`
  Returns:
    operation The operation of the llvm environment variable

### getValue

    public java.lang.String getValue()

  Get value of the llvm environment variable.

  Specified by:
    `getValue` in interface `org.eclipse.cdt.core.envvar.IEnvironmentVariable`
  Specified by:
    `getValue` in interface `org.eclipse.cdt.managedbuilder.envvar.IBuildEnvironmentVariable`
  Returns:
    value The value of the llvm environment variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD